#!/usr/bin/python2
# Bryan Schumaker (8/13/2010)

import datetime
now = datetime.datetime.now
before = now()

import libsaria
import ocarina
from ocarina import window
from ocarina import body
from ocarina import library
from ocarina import playlist

width  = libsaria.init_pref("ocarina.window.width", 800)
height = libsaria.init_pref("ocarina.window.height", 600)

window.init(width, height)
body.init()
window.set_title("%s" % ocarina.__vers__)
window.set_icon("images/ocarina.png")
window.add(body.body)

playlist.init()
library.init()

after = now()
print "Startup took:", after-before

ocarina.startup()
body.init_page("Library")
ocarina.main()
