# Bryan Schumaker (10/30/2010)

import ocarina
libsaria = ocarina.libsaria
menu = ocarina.menu
do_pause = False

def check_pause(*args):
	global do_pause
	if do_pause == True:
		libsaria.controls.pause()
		do_pause = False

def set_pause(*args):
	global do_pause
	do_pause = True

def start():
	text = "Pause after current song"
	menu.add_common_menu_item(text, set_pause)
	libsaria.event.invite("POSTNEXT", check_pause)

def stop():
	pass

def check_version():
	if ocarina.__major__ != 4:
		return False
	if ocarina.__minor__ == 2:
		return False
	return True
